
// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)

// Implementation for IDLInt32. See IDLByte.cc
//
// jhrg 1/12/95

// $Log: IDLInt32.cc,v $
// Revision 1.3  2000/07/09 22:17:51  rmorris
// Include use <header> instead of <header.h> for headers in the standard
// c++ library - this increases portability.
//
// Revision 1.2  1999/11/09 05:57:11  jimg
// Result of merge with release-3-1-1
//
// Revision 1.1.2.1  1999/09/23 23:06:29  jimg
// This collection of files builds under Solaris 2.6. The resulting idl_dods.so
// runs correctly on the fnoc1.nc test dataset.
//

#ifdef __GNUG__
#pragma implementation
#endif

#include <assert.h>
#if 0
#include <iostream>
#endif

#if 0
#include <Pix.h>
#include <SLList.h>
#endif
#include <string>

#include "IDLInt32.h"
#if 0
#include "name_map.h"
#endif

#if 0
extern name_map names;
extern bool translate;
extern bool ascii;
#endif

Int32 *
NewInt32(const string &n)
{
    return new IDLInt32(n);
}

IDLInt32::IDLInt32(const string &n) : Int32(n)
{
}

BaseType *
IDLInt32::ptr_duplicate()
{
    return new IDLInt32(*this);
}

bool
IDLInt32::read(const string &, int &)
{
    assert(false);
    return false;
}

#if 0
void 
IDLInt32::print_val(ostream &os, string, bool print_decl_p)
{
    if (print_decl_p)
	os << type_name() << endl << names.lookup(name(), translate) << endl;

    if (translate) {
	dods_float64 df = _buf;
	if (ascii)
	    os << df << " ";
	else
	    os.write((void *)&df, sizeof(dods_float64));
    }
    else {
	if (ascii)
	    os << _buf << " ";
	else
	    os.write((void *)&_buf, sizeof(dods_int32));
    }	
}
#endif
